<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

/******************************************************************/
/* Récupération contacts ss-traitant en fonction code ss-traitant */
/******************************************************************/

session_start(); 
sleep(1);
if (array_key_exists("st", $_REQUEST))
{
	$tomorrow = 0;//60*60*24; // en nb de secondes
	header("Cache-Control: max-age=$tomorrow");
	print_plain();
}
else
{
	print "Usage : $_SERVER[PHP_SELF]?st=un-code-sous-traitant";
}

function print_plain()
{
	include_once("../inc/fic_hum.inc.php");
	header("Content-type: text/html; charset=windows-1252");
	$cst = get_cst($_REQUEST["st"]);
	$result = array();
	foreach ($cst as $row)
	{
		$txt = $row["cst_nom"]." ".$row["cst_prenom"];
		$row2=lit_enr_fonc($row["cst_codefonc"],TRUE);
		if (is_array($row2))
		{
			extract($row2);
			$txt_fonc=$fonc_desc;
		}
		else
			$txt_fonc=$row["cst_codefonc"];
		$txt.=" (".$txt_fonc.")";
		$result[] = $row["cst_id"]."=".$txt;
	}
	print implode(";", $result);
}

function get_cst($st)
{
	if (!isset($_SESSION["lng"])) $_SESSION["lng"]="fr";
	include_once("../lng/".$_SESSION["lng"].".inc.php"); // Paramètres de language
	include_once("../inc/config.inc.php");
	// On se connecte a la base
	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);
	$result = array();
	// On recupere les contacts sur le sous-traitant
	$rech = "SELECT * FROM ".TBCST." WHERE cst_codest='".$st."' ORDER BY cst_nom";
	$rs = mysql_query($rech) or die(mysql_error());
	while ($row = mysql_fetch_array($rs))
	{
		$result[] = $row;
	}
		
	mysql_close();
	return $result;
}

?>